#ifndef CHURN_HEADER_INCLUDED

typedef int ATYPE;
typedef double WINTYPE;

int main(int argc, char **argv);
void readAssFileHeader(FILE *in, int *numRepeatsPtr, int *numVarsPtr);
void readAssFileChunk(FILE *in, int numVars, int maxLength, ATYPE *chunk, ATYPE *initialAssignments, int *numAssPtr);
void mangle(int numVars, int numAss, ATYPE *chunk, ATYPE *initialAss, int
		*gapPtr, int *diameterPtr, double *velocityAvgPtr, double *covRatePtr,
		int doAutoCorr, int windowLength, WINTYPE *window);

#define CHURN_HEADER_INCLUDED
#endif

